using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace _3_Polymorphism
{
  public partial class Form1 : Form
  {
    private ShapeCollection Shapes;

    public Form1()
    {
      InitializeComponent();

      Shapes = new ShapeCollection();

      for (int i = 0; i < 10; i++)
      {
        Shape s = null;

        if ((i % 2) == 0)
          s = new Square();
        else
          s = new Pentagon();

        s.Location = new Point(20 + (i * 20), 20 + (i * 20));
        s.sz = new Size(20, 20);
        Shapes.Add(s);
      }
    }

    protected override void OnPaint(PaintEventArgs e)
    {
      foreach (Shape s in Shapes)
        s.Draw(e.Graphics);
    }
  }
}